%global oname commonj.sdo
%global namedreltag .v201112051852
%global namedversion %{version}%{?namedreltag}
%global api_version 2.1

Name:          eclipselink-commonj-sdo
Version:       2.1.1
Release:       1%{?dist}
Summary:       JSR 235: Service Data Objects 2.1 API
License:       EPL
#URL:           http://www.eclipse.org/eclipselink/
URL:           https://jcp.org/en/jsr/detail?id=235
Source0:       http://download.oracle.com/otn-pub/jcp/sdo-2_1_1-fr-oth-JSpec/sdo-2_1_1-final-spec.zip
Source1:       eclipse-commonj.sdo-template.pom.xml

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)

BuildArch:     noarch

%description
SDO defines core infrastructure APIs for heterogeneous data access that
supports common application design patterns and supports higher-level tools
and frameworks.

This package provides SDO 2.1 API for EclipseLink.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c

unzip SDO_%{version}_Java_source.zip
rm -r SDO_%{version}_*.zip

# fixing incomplete source directory structure
mkdir -p src/main/java
mv commonj src/main/java/
mkdir -p src/main/resources/about_files
mv xsd src/main/resources/
cp -p license.txt src/main/resources/about_files

cp -p %{SOURCE1} pom.xml
sed -i "s|@VERSION@|%{version}|" pom.xml
sed -i "s|@API_VERSION@|%{api_version}|" pom.xml
sed -i "s|@BUNDLE_VERSION@|%{namedversion}|" pom.xml

%mvn_file :%{oname} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Wed Nov 04 2015 gil cattaneo <puntogil@libero.it> 2.1.1-1
- initial rpm
